The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Ошибка при обновлении Fedora29"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на рабочей станции (Пакетные менеджеры / Linux)
Изначальное сообщение [ Отслеживать ]

"Ошибка при обновлении Fedora29"  +/
Сообщение от Eugeneemail (ok), 25-Июн-19, 17:44 
При выполнении команды:
dnf update
получаю ответ:
Fedora Modular 29 - x86_64                                                                                                                                     23 kB/s |  24 kB     00:01    
Fedora Modular 29 - x86_64 - Updates                                                                                                                           30 kB/s |  23 kB     00:00    
Fedora 29 - x86_64 - Updates                                                                                                                                   26 kB/s |  23 kB     00:00    
Fedora 29 - x86_64 - Updates                                                                                                                                  831 kB/s |  26 MB     00:31    
Fedora 29 - x86_64                                                                                                                                             24 kB/s |  24 kB     00:00    
RPM Fusion for Fedora 29 - Free - Updates                                                                                                                      15 kB/s | 9.1 kB     00:00    
RPM Fusion for Fedora 29 - Free                                                                                                                                28 kB/s |  10 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree - Updates                                                                                                                   25 kB/s | 9.3 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree                                                                                                                             26 kB/s |  10 kB     00:00    
Russian Fedora for Fedora 29 - Branding - Updates                                                                                                             8.5 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Branding                                                                                                                        12 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Fixes - Updates                                                                                                                9.8 kB/s | 3.8 kB     00:00    
Russian Fedora for Fedora 29 - Fixes                                                                                                                           11 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Free - Updates                                                                                                                  11 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Free                                                                                                                            12 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Nonfree - Updates                                                                                                               10 kB/s | 4.2 kB     00:00    
Russian Fedora for Fedora 29 - Nonfree                                                                                                                         12 kB/s | 4.2 kB     00:00    
skype (stable)                                                                                                                                                7.7 kB/s | 2.9 kB     00:00    
TeamViewer - x86_64                                                                                                                                            11 kB/s | 2.5 kB     00:00    
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 123, in cli_run
    ret = resolving(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 159, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 767, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 688, in _goal2transaction
    ts.add_upgrade(pkg, upgraded, obs)
  File "/usr/lib/python3.7/site-packages/dnf/db/group.py", line 272, in add_upgrade
    ti_new = self.new(new, libdnf.transaction.TransactionItemAction_UPGRADE)
  File "/usr/lib/python3.7/site-packages/dnf/db/group.py", line 222, in new
    rpm_item = self._pkg_to_swdb_rpm_item(pkg)
  File "/usr/lib/python3.7/site-packages/dnf/db/group.py", line 213, in _pkg_to_swdb_rpm_item
    rpm_item = self.history.swdb.createRPMItem()
  File "/usr/lib/python3.7/site-packages/dnf/db/history.py", line 291, in swdb
    self._swdb = libdnf.transaction.Swdb(self.dbpath)
  File "/usr/lib64/python3.7/site-packages/libdnf/transaction.py", line 729, in __init__
    this = _transaction.new_Swdb(*args)
RuntimeError: Exec failed: no such table: main.trans_cmdline

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 192, in user_main
    errcode = main(args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 122, in __exit__
    self.close()
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 479, in close
    self._finalize_base()
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 462, in _finalize_base
    self.history.close()
  File "/usr/lib/python3.7/site-packages/dnf/db/history.py", line 305, in close
    self.swdb.closeTransaction()
  File "/usr/lib/python3.7/site-packages/dnf/db/history.py", line 291, in swdb
    self._swdb = libdnf.transaction.Swdb(self.dbpath)
  File "/usr/lib64/python3.7/site-packages/libdnf/transaction.py", line 729, in __init__
    this = _transaction.new_Swdb(*args)
RuntimeError: Exec failed: no such table: main.trans_cmdline

Не знаю, что делать. Нужна помощь.

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Ошибка при обновлении Fedora29"  +/
Сообщение от Аноним (1), 25-Июн-19, 18:26 
> Не знаю, что делать.

Use The Google, Luke...
Твой вопрос в нем на 4-м месте, а первые 3 места у ссылок на решение проблемы, которым уже с год...
https://lists.pagure.io/archives/list/users@lists.fedor.../

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Ошибка при обновлении Fedora29"  +/
Сообщение от Eugene (ok), 25-Июн-19, 18:38 
>> Не знаю, что делать.
> Use The Google, Luke...
> Твой вопрос в нем на 4-м месте, а первые 3 места у
> ссылок на решение проблемы, которым уже с год...
> https://lists.pagure.io/archives/list/users@lists.fedor.../

Спасибо большое. Работает.
Видимо я пользовался не тем Гуглом :(

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Ошибка при обновлении Fedora29"  +/
Сообщение от Александр (??), 26-Июн-19, 16:16 
>>> Не знаю, что делать.
>> Use The Google, Luke...
>> Твой вопрос в нем на 4-м месте, а первые 3 места у
>> ссылок на решение проблемы, которым уже с год...
>> https://lists.pagure.io/archives/list/users@lists.fedor.../
> Спасибо большое. Работает.
> Видимо я пользовался не тем Гуглом :(

Судя по репам у Вас RFRemix29. После обновления что будет? Репов то для RFRemix30 нет. Будет чистая Fedora?

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Ошибка при обновлении Fedora29"  +/
Сообщение от Eugene (ok), 26-Июн-19, 16:23 
>
> Судя по репам у Вас RFRemix29. После обновления что будет? Репов то
> для RFRemix30 нет. Будет чистая Fedora?

Сейчас RFRemix29. Речь шла об очередном (текущем) обновлении.
До 30 обновляться не буду. Пропущу. Команда взяла отпуск на один релиз. Обновлюсь до RFRemix31 месяца через три после его выхода.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру